Summary: DNS proxy that supports IPv6 <==> IPv4 record translation
Name: totd
Version: 1.3
Release: 1
Copyright: BSD
Packager: Pekka Savola <pekkas@netcore.fi>
URL: http://www.vermicelli.pasta.cs.uit.no/ipv6/software.html
Group: System Environment/Daemons
Source: ftp://ftp.pasta.cs.uit.no/pub/Vermicelli/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Source1: totd.init
Source2: totd.conf
Patch1: totd-1.3-Makefile.in.diff
PreReq: chkconfig, /sbin/service, initscripts

%description
Totd is a small DNS proxy nameserver that supports IPv6 only hosts/networks
that communicate with the IPv4 world using some translation mechanism. 
Examples of such translation mechanisms currently in use are: 

   * IPv6/IPv4 Network Address and Packet Translation (NAT-PT)
     implemented e.g. by Cisco.
   * Application level translators as the faithd implemented by 
     the KAME project (http://www.kame.net) or pTRTd
     (http://v6web.litech.org/ptrtd/)

%prep
%setup -q
%patch1 -p1

%build

%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8 
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d

make DESTDIR=$RPM_BUILD_ROOT install
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/totd
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/totd.conf

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service totd condrestart >/dev/null 2>&1
fi

%post
/sbin/chkconfig --add totd

%preun
if [ $1 = 0 ]; then
   /sbin/service totd stop >/dev/null 2>&1
   /sbin/chkconfig --del totd
fi

%files
%config(noreplace) %{_sysconfdir}/totd.conf
%config %{_sysconfdir}/rc.d/init.d/*
%{_sbindir}/*
%{_mandir}/*/*
%doc COPYRIGHT README .todo

%changelog
* Thu Mar 14 2002 Pekka Savola <pekkas@netcore.fi>
- Initial packaging
